This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 463490 - 2GB filesize limit using zip format
2GB filesize limit using zip format
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: appliance-tools (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Huff
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-23 14:05 EDT by David Huff
Modified: 2008-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 11:45:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Huff 2008-09-23 14:05:37 EDT
Description of problem:
2GB filesize limit using zip format

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

Think we hit a 2GB filesize limit using zip format for appliance-creator. Other than that all else seems to work. One last thing, the man page is missing the package option

 File "/usr/bin/appliance-creator", line 122, in <module>
   sys.exit(main())
 File "/usr/bin/appliance-creator", line 112, in main
   creator.package()     File "/usr/lib/python2.5/site-packages/imgcreate/creator.py", line 747, in package
   self._stage_final_image()
 File "/usr/lib/python2.5/site-packages/appcreate/appliance.py", line 368, in _stage_final_image
   self._package_image()
 File "/usr/lib/python2.5/site-packages/appcreate/appliance.py", line 347, in _package_image
   z.write(file, arcname=os.path.basename(file), compress_type=None)
 File "/usr/lib/python2.5/zipfile.py", line 561, in write
   self._writecheck(zinfo)
 File "/usr/lib/python2.5/zipfile.py", line 533, in _writecheck
   raise LargeZipFile("Filesize would require ZIP64 extensions")
zipfile.LargeZipFile: Filesize would require ZIP64 extensions 


Expected results:


Additional info:
Comment 1 David Huff 2008-09-23 14:06:39 EDT
Fix is to add allowZip64="True" to line 343 after compression=8 in appliance.py
Comment 2 David Huff 2008-09-23 14:11:53 EDT
This has been fixed and the fix is committed upstream (commit 7d7e9e1b83ea99d9129c11269dce2c2cffb3a5d5).  Waiting on a
release....
Comment 3 Bug Zapper 2008-11-25 22:11:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.